man-db 2.9.4 (8 February 2021)
==============================

Major changes since man-db 2.9.3:

	Improvements:
	-------------

	* Recognise Romanian translations of the NAME section.

	* Treat "\[en]" (etc.) as another synonym for "\-" in NAME sections,
	  alongside the existing "\(en" (etc.).

	Fixes:
	------

	* Make the seccomp sandbox work better with libcs such as musl (S.
	  Gilles).

	* Make the seccomp sandbox allow clock_gettime64 as well as
	  clock_gettime (S. Gilles).

man-db 2.9.3 (22 June 2020)
===========================

Major changes since man-db 2.9.2:

	Fixes:
	------

	* Fix manual page translation infrastructure to compare po4a versions
	  with more than two components correctly.

	* Avoid incorrect markup in man(1) with po4a >= 0.58.

man-db 2.9.2 (1 June 2020)
==========================

Major changes since man-db 2.9.1:

	Fixes:
	------

	* Fix "man -X75-12" and "man -X100-12" to set the document font size
	  (using "-rS12") as well as the device (using "-TX75-12" or
	  "-TX100-12").

	* Fix incompatibility of "man -X" and friends with the seccomp
	  sandbox.

	Improvements:
	-------------

	* Add a bug tracker link to man-db's own manual pages.

	* Add support for zstd-compressed manual pages, thanks to Bernhard
	  Rosenkränzer.

man-db 2.9.1 (25 February 2020)
===============================

Major changes since man-db 2.9.0:

	Improvements:
	-------------

	* Drop fdutimens patch for GNU/Hurd; the bug it was working around
	  was fixed in glibc 2.28.

	* Add MANDB_MAP entry mapping /snap/man to /var/cache/man/snap.

man-db 2.9.0 (23 October 2019)
==============================

Major changes since man-db 2.8.7:

	Fixes:
	------

	* man --recode and manconv now adjust encoding declarations on the
	  first line of their input to refer to the new encoding.

	* Fix comparison of candidate manual pages to correctly handle the case
	  where the language elements are the same and match the locale, but
	  the territory elements differ.

	Improvements:
	-------------

	* Many typographical improvements to man-db's own manual pages,
	  largely thanks to Bjarni Ingi Gislason.

	* Rewrite parts of man(1) to make it a more accessible introduction.

	* If run with no arguments or only a section, man now suggests
	  running "man man".

	* man now understands the <page>(<section>) form on its command
	  line, so for example "man 'chmod(2)'" is now the same as "man 2
	  chmod".  While this requires more quoting, it may also be more
	  convenient when copying and pasting cross-references to manual
	  pages.

	* manconv now guesses the input encoding based on the file name if
	  it is not explicitly specified.

	* There is a new "man-recode" program.  It fulfils a purpose similar
	  to "man --recode", but has an interface designed for bulk
	  conversion and so can be much faster when used on a large number
	  of pages.

	Compatibility notes:
	--------------------

	* Remove the ability to undefine COMP_SRC at build-time to disable
	  reading compressed manual pages.  This was always only a
	  micro-optimisation, and it wasn't worth the extra code complexity.
	  You can still configure without any compressors (either by not
	  having them available at build time, or by configuring with
	  "--with-gzip=" etc.) to achieve much the same practical effect,
	  although the test suite still requires at least gunzip.

man-db 2.8.7 (26 August 2019)
=============================

Major changes since man-db 2.8.6.1:

	Fixes:
	------

	* Further workarounds for ESET File Security: allow sendmsg when it
	  is in use.

	* The seccomp sandbox now causes disallowed system calls to return
	  EPERM rather than raising SIGSYS, in the hope of being less
	  disruptive to preload hacks.

	* Make seccomp sandbox allow getrandom, used by Hardened Malloc.

	* man no longer saves cat pages if --no-hyphenation or
	  --no-justification is used.

	* Move decompression code out of libman.  This should really fix a
	  link failure using the Darwin linker (unsuccessfully attempted in
	  2.8.6), and possibly on other platforms too.

	* Pass the database file name around in function parameters, rather
	  than storing it in a global variable with an unresolved symbol
	  from libmandb.  Like the previous item, this fixes a link failure
	  using the Darwin linker, and possibly on other platforms too.

	* Return database entries in sorted order when using NDBM.  (This is
	  based on a similar fix to the GDBM backend in man-db 2.4.2.)

	Improvements:
	-------------

	* Recognise Esperanto, Tamil, and Ukrainian translations of the NAME
	  section.

man-db 2.8.6.1 (5 August 2019)
==============================

Major changes since man-db 2.8.6:

	Fixes:
	------

	* Fix missing memory copies in ult_src that caused segfaults in
	  mandb.

man-db 2.8.6 (3 August 2019)
============================

Major changes since man-db 2.8.5:

	Fixes:
	------

	* If more than one of "../man", "man", "../share/man", and
	  "share/man" exist relative to a directory on $PATH, then all of
	  them are now added to the automatically-determined manpath;
	  previously, only the first was considered.

	* Remove arbitrary limit on manpath size.

	* The systemd database maintenance service now runs mandb with the
	  --quiet option, avoiding excess log messages.

	* Default to --without-systemdsystemunitdir and
	  --without-systemdtmpfilesdir on non-Linux systems.

	* Fix failure to link libman using the Darwin linker.

	* "apropos -w" now works when given a non-lower-case pattern.

	Improvements:
	-------------

	* Convert most list and hash table code to Gnulib's container types:
	  these are more flexible and normally more concise than home-grown
	  equivalents.

	* There is a new configure option --disable-manual, which causes the
	  man-db manual not to be built or installed.

man-db 2.8.5 (5 January 2019)
=============================

Major changes since man-db 2.8.4:

	Building man-db now requires Autoconf >= 2.63 and Automake >=
	1.11.2.

	Fixes:
	------

	* Fix build with Berkeley DB.

	* Fail to configure if flex is needed but missing.

	* Fix the comment in the first line of the configuration file in the
	  case where configure was not given a --with-config-file option.

	* Fix several resource and memory leaks.

	* Fix handling of \- in the right-hand side of a NAME section.

	* Work around Microsoft's proprietary "System Center Endpoint
	  Protection" antivirus program in the seccomp sandbox.

	Improvements:
	-------------

	* Ship a systemd timer to perform daily database maintenance.

	* Allow disabling the installation of the systemd tmpfiles snippet
	  and the systemd timer by configuring with
	  --with-systemdtmpfilesdir=no and --with-systemdsystemunitdir=no
	  respectively.

man-db 2.8.4 (27 July 2018)
===========================

Major changes since man-db 2.8.3:

	Fixes:
	------

	* Rely on decompressors reading from their standard input rather
	  than redundantly passing them the input file on their command
	  line.  This works better with downstream AppArmor confinement of
	  decompressors.

	* Fix invalid syntax in tmpfiles.d/man-db.conf when configured with
	  --disable-cache-owner.

	* Make seccomp sandbox allow sched_getaffinity, sometimes used by
	  xz.

	* Check for mandb_nfmt and mandb_tfmt in the manual page hierarchy
	  as documented, not in the current directory.  This was broken by
	  the working-directory-handling changes in 2.8.3.  Note that this
	  change means that "man -l" will never use an external formatter
	  (which was never documented behaviour and was surely a bad idea).

	* Make seccomp sandbox allow some shared memory operations across
	  the board rather than just when ESET File Security is in use; the
	  Astrill VPN seems to require something similar, and there are
	  doubtless other such preload hacks.

	* Some versions of ESET File Security call msgget and msgsnd; if
	  this program is in use, then allow those.

man-db 2.8.3 (5 April 2018)
===========================

Major changes since man-db 2.8.2:

	Fixes:
	------

	* Make seccomp sandbox allow madvise, since that's used by lbzip2.

	* Make seccomp sandbox allow kill and tgkill outright, since groff
	  uses kill to pass on signals to its child processes.

	* Make seccomp sandbox allow sibling architectures on
	  x86/x86_64/x32, since people sometimes mix and match architectures
	  there for performance reasons.

	* Fix version check in locale macro loading to tolerate groff
	  release candidates.

	* man now only changes working directory in child processes, so
	  never fails due to being unable to change back to its original
	  working directory.

	* accessdb, apropos, and lexgrog no longer emit spurious gettext
	  headers in their --help output when localised.

man-db 2.8.2 (28 February 2018)
===============================

Major changes since man-db 2.8.1:

	Fixes:
	------

	* Make seccomp sandbox allow kill and tgkill when the signal is
	  directed at the current process or one of its threads; this is
	  needed by xz.

	* Make seccomp sandbox allow ioctl(fd, TIOCGWINSZ), since that's used
	  by musl.

	* Work around the proprietary "ESET File Security" antivirus program in
	  seccomp sandbox: if this is in use then we need to allow some
	  socket-related system calls.

	* Work around the "snoopy" execve() wrapper and logger in seccomp
	  sandbox: if this is in use then we need to allow some
	  socket-related system calls.

	* Interpret EFAULT from seccomp_load as meaning that seccomp is
	  unavailable, since this can be returned by some versions of
	  qemu-user.

man-db 2.8.1 (9 February 2018)
==============================

Major changes since man-db 2.8.0:

	Fixes:
	------

	* Fix seccomp sandbox build on Linux/POWER.

	* Fix manconv execution under seccomp when man is installed setuid.

	* Make seccomp sandbox allow mremap (used by iconv, for example).

	Improvements:
	-------------

	* configure now has a --without-libseccomp option to disable the use
	  of seccomp even if the library is available.

man-db 2.8.0 (4 February 2018)
==============================

Major changes since man-db 2.7.6.1:

	Fixes:
	------

	* Fix locale macro loading for Chinese to load the macro file
	  corresponding to just the language part of the user's locale.

	* Honour --enable-cache-owner in generated systemd tmpfiles snippet
	  rather than hardcoding "man".

	* If man adds prefixes to a page to handle such things as disabling
	  hyphenation, then take account of those when looking for a
	  preprocessor line at the start of the page.

	* Fix a segfault in 'man -D --help'.

	Improvements:
	-------------

	* Treat "\(en" as another synonym for "\-" in NAME sections.

	* Confine most subprocesses that handle untrusted data using
	  seccomp.  This mainly deals with subprocesses that perform
	  encoding conversions, (de)compressors, groff programs, and a few
	  other odds and ends.  groff programs use a slightly more
	  permissive filter since they need to create temporary files, so
	  additional path-based confinement (e.g. using AppArmor) is still
	  useful.

	  If this goes wrong, then MAN_DISABLE_SECCOMP=1 can be set in the
	  environment to disable it, but please report any such problem as a
	  bug.

	* man now falls back to cat if the compile-time default pager is not
	  executable.

man-db 2.7.6.1 (12 December 2016)
=================================

Major changes since man-db 2.7.6:

	Fixes:
	------

	* Don't chmod CACHEDIR.TAG if it doesn't exist.

	* Correct installation of Swedish manual pages.

man-db 2.7.6 (11 December 2016)
===============================

Major changes since man-db 2.7.5:

	Fixes:
	------

	* Fix build warnings with Perl 5.22.

	* Document that 'man -K' searches page source, not rendered text.

	* Fix a long-standing bug in man-db's internal cleanup stack
	  mechanism: if a cleanup function was pushed unexpectedly between a
	  push/pop pair, then popping the stack would remove the wrong
	  cleanup function and chaos could ensue.  Avoid this by being more
	  precise about which cleanup function should be popped.

	* SECURITY: Eliminate dangerous setgid-root directories.  In the
	  default configuration, cache files and directories are now owned
	  by man:man rather than man:root; man and mandb are now setgid man
	  as well as setuid man (except in the --disable-setuid case).  This
	  is a much simpler and safer solution to the original problem that
	  caused my predecessor to make directories setgid root, and doesn't
	  introduce any interesting new privilege since the man group's only
	  real purpose is to be the man user's primary group and nothing in
	  cache directories is group-writeable.

	  Maintainers of distribution packagers should take care to review
	  their installation rules in light of this change.

	  As far as I know this has no CVE ID, but it is described here:

	    https://www.halfdog.net/Security/2015/SetgidDirectoryPrivilegeEscalation/

	* Fix manual page translation infrastructure to render tables
	  correctly with po4a 0.47.

	Improvements:
	-------------

	* man now understands the <page>.<section> form on its command line,
	  so for example 'man chmod.2' is now the same as 'man 2 chmod'.
	  (Contributed by Mihail Konev.)

	* The owner of cache files is now configured separately from whether
	  man and mandb are installed setuid, using the
	  --enable-cache-owner[=USER] option.

man-db 2.7.5 (6 November 2015)
==============================

Major changes since man-db 2.7.4:

	Fixes:
	------

	* Adjust line number when inserting extra roff input.

	* Disable roff input insertion with --recode.

	* Build text manual with LC_ALL=C, to help reproducible builds.

man-db 2.7.4 (8 October 2015)
=============================

Major changes since man-db 2.7.3:

	Fixes:
	------

	* Fix crash when eliminating manpath duplicates if canonicalising a
	  manpath entry fails.

	* Fix a build system bug that sometimes caused substitutions in
	  manual pages to be left unexpanded.

	* man exits with status 3 rather than 0 if its formatting command
	  exits non-zero, even if its display command exits zero.

	* man honours MANWIDTH in conjunction with the -Z option, to make it
	  easier to diagnose warnings in manual pages.

man-db 2.7.3 (9 September 2015)
===============================

Major changes since man-db 2.7.2:

	Fixes:
	------

	* Tools that consider the terminal line length now try the
	  TIOCGWINSZ ioctl on /dev/tty as well as standard input/output.

	* mandb does a better job of coping with index files having
	  incorrect ownership.

	* Squeeze blank lines internally rather than relying on the pager
	  supporting the -s option.

	* Fix use-after-free in ult_src.

	* Fix crash when running from a missing and unreadable current
	  directory, such as an orphaned subdirectory of /proc.

	* Restore the ability to use 'man -a' noninteractively.

man-db 2.7.2 (16 August 2015)
=============================

Major changes since man-db 2.7.1:

	Fixes:
	------

	* 'man -k' and 'man -f' now pass any provided -l option through to
	  the underlying apropos/whatis programs.

	* apropos and whatis no longer truncate names if long output was
	  requested.

	* The database handle is no longer stored in a global variable,
	  fixing a class of possible double-close bugs.

man-db 2.7.1 (7 November 2014)
==============================

Major changes since man-db 2.7.0.2:

	Fixes:
	------

	* Various portability fixes for Solaris, contributed by Peter Bray.

	* man now runs correctly when its current working directory has been
	  deleted.  (As a result of this fix, man-db now requires
	  libpipeline >= 1.4.0.)

	* 'man -a' sends its prompts to /dev/tty rather than to stderr, and
	  likewise reads replies from /dev/tty rather than from stdin.

man-db 2.7.0.2 (28 September 2014)
==================================

Major changes since man-db 2.7.0.1:

	Fixes:
	------

	* Be more careful to avoid using or double-closing closed database
	  handles.  Fixes test suite failures on some systems.

	* Patch the fdutimens function imported from Gnulib to work around a
	  libc bug in GNU/Hurd.

man-db 2.7.0.1 (24 September 2014)
==================================

Major changes since man-db 2.7.0:

	Fixes:
	------

	* Fix test suite in the case where the system supports
	  high-precision timestamps but the file system containing the build
	  directory does not.

man-db 2.7.0 (22 September 2014)
================================

Major changes since man-db 2.6.7.1:

	Upgrading from previous versions:
	---------------------------------

	For the first time since version 2.4.0, the database format has
	changed slightly, so you will need to run 'mandb --create' after
	installing the new version to rebuild your databases from scratch.
	(Distribution packages should do this automatically for system
	databases.)

	Fixes:
	------

	* lexgrog now filters terminal escape sequences out of cat pages
	  before trying to parse them.

	* Tools that consider the terminal line length now prioritise the
	  COLUMNS environment variable above the TIOCGWINSZ ioctl.

	* Manpath elements are no longer canonicalised before being inserted
	  into the search path; this caused the use of incorrect catpaths in
	  some cases.  This was broken by the LANGUAGE-handling fixes in
	  2.5.4.

	Improvements:
	-------------

	* Ship a systemd tmpfiles snippet to clean up old cat files after a
	  week.

	* The modification time of manual databases is now simply stored in
	  the mtime of the database files themselves, rather than using a
	  special row.  This makes databases reproducible between
	  otherwise-identical installations, as long as the underlying
	  database has predictable behaviour.  As a bonus, man-db now uses
	  high-precision timestamps to determine whether it needs to update
	  databases.

	* Timestamps of manual pages are also now stored in the database
	  with high precision and compared accordingly.

	* Files are now ordered by first physical extent before reading
	  them, for substantial performance improvements in operations such
	  as mandb and 'man -K'.

	* 'man -H' shows a better error message if no browser is configured.

	* zsoelim is now installed in $pkglibexecdir, to avoid clashes with
	  other packages.

man-db 2.6.7.1 (10 April 2014)
==============================

Major changes since man-db 2.6.7:

	Fixes:
	------

	* Remove test suite dependency on realpath(1).

man-db 2.6.7 (10 April 2014)
============================

Major changes since man-db 2.6.6:

	Fixes:
	------

	* Fix a test failure when configured with --enable-undoc.

	* Run the pager in man's original working directory rather than in
	  the manual hierarchy.  (As a result of this fix, man-db now
	  requires libpipeline >= 1.3.0.)

	* mandb only creates a cache directory tag if the catpath is
	  different from the manpath, since it should only be created in
	  directories that consist entirely of cached information.

man-db 2.6.6 (23 January 2014)
==============================

Major changes since man-db 2.6.5:

	man-db is now revision-controlled using git (https://git-scm.com/).
	See docs/HACKING for the location of the repository.

	Fixes:
	------

	* apropos's --and option now works again; it was broken by the
	  optimisations in 2.6.2.

	* Restore compatibility with Automake 1.10.

	* Improve support for translation of common elements of help
	  messages.

	* Don't issue error messages when the database refers to a page that
	  no longer exists.

	* Pass macro and hyphenation language tags to groff again (broken in
	  2.6.5).

	Improvements:
	-------------

	* ./configure --with-override-dir=OVERRIDE arranges to look for
	  manual pages in DIR/OVERRIDE before each path element DIR.

man-db 2.6.5 (27 June 2013)
===========================

Major changes since man-db 2.6.4:

	Fixes:
	------

	* man's --warnings option works again on systems with versions of
	  groff that support it (broken in 2.6.4).

	* man automatically falls back to C.UTF-8 and then en_US.UTF-8 if
	  trying to find a UTF-8 locale on a system without
	  /usr/share/i18n/SUPPORTED.

man-db 2.6.4 (23 June 2013)
===========================

Major changes since man-db 2.6.3:

	Fixes:
	------

	* man(1) and catman(8) now document the default section list set at
	  configure time.

	* Build fixes for Automake 1.13.

	* man-db 2.6.0 arranged to search the full manpath when expanding
	  .so directives in manual pages (so that ".so name.1" works as well
	  as ".so man1/name.1"), but this incorrectly did not take effect
	  for manual pages that consist only of a .so directive.  This is
	  now fixed.

	Improvements:
	-------------

	* The MANLESS environment variable is now treated as if it were a
	  default value for the -r option to man: occurrences of the text
	  "$MAN_PN" are expanded, and explicitly using the -r option
	  overrides the default.

	* The (unfortunately still hardcoded) maximum length for paths to
	  manual page hierarchies in the configuration file is now 511
	  characters rather than 49.

	* MANPATH entries now undergo glob(7)-style wildcard expansion,
	  allowing entries such as "/opt/*/man".

man-db 2.6.3 (17 September 2012)
================================

Major changes since man-db 2.6.2:

	Fixes:
	------

	* Build fixes for glibc 2.16 and Automake 1.12.

man-db 2.6.2 (18 June 2012)
===========================

Major changes since man-db 2.6.1:

	Fixes:
	------

	* apropos prints an error message and returns non-zero when it finds
	  no matches.  (Regression introduced in 2.5.1.)

	* The presence of a 64-bit GDBM database on the manpath no longer
	  causes a 32-bit man process to exit with a fatal error.

	Improvements:
	-------------

	* apropos is much faster when run with many arguments.

	* whatis may be given the full path to an executable as an argument,
	  in which case it will look up the base name of that executable in
	  the appropriate parts of the manpath.

man-db 2.6.1 (14 February 2012)
===============================

Major changes since man-db 2.6.0.2:

	Fixes:
	------

	* --with-db=db* and --with-db=ndbm compile again.

	* Translated manual pages are no longer displayed starting with a
	  spurious blank line.

	* straycats tries to ensure that col is invoked with LC_CTYPE set to
	  a UTF-8 locale.

	* Fix double-free in mandb when encountering a symlink outside the
	  manual hierarchy, thanks to Peter Schiffer.

	Improvements:
	-------------

	* mandb creates a cache directory tag, per
	  http://www.brynosaurus.com/cachedir/ ("Cache Directory Tagging
	  Standard").

	* Add support for Lzip-compressed manual pages, thanks to Matias A.
	  Fonzo.

	* Running 'man -w' (with a new --path alias) without a name now
	  prints the manpath, for compatibility with other man
	  implementations.  The vim viewdoc plugin makes use of this.

man-db 2.6.0.2 (13 April 2011)
==============================

Major changes since man-db 2.6.0.1:

	Fixes:
	------

	* Fix a segfault when scanning links to empty pages.

	* Once we've seen at least one record in a page's NAME section,
	  ignore any further records that don't include a whatis
	  description, as they tend to be noise.

man-db 2.6.0.1 (10 April 2011)
==============================

Major changes since man-db 2.6.0:

	Fixes:
	------

	* Ensure that the target of a symlink or .so chain is always recorded
	  as a real page.

	* Read a user-specified configuration file even if HOME is unset.

man-db 2.6.0 (9 April 2011)
===========================

Major changes since man-db 2.5.9:

	Fixes:
	------

	* Fix build with versions of GNU ld that default to
	  --no-copy-dt-needed-entries.

	* Fix failure to display manual pages in some encodings when
	  installed setuid.

	* Wrap long table cells in man(1), fixing test failures with groff
	  1.21.

	* If an explicit section is passed to man, then pages that match
	  that section exactly will be preferred over pages that only have
	  that section as a prefix.

	* Fix a segfault when 'man -K' tries to display certain pages.

	* Fix a segfault in some situations when processes are killed by
	  SIGHUP, SIGINT, or SIGTERM.

	Improvements:
	-------------

	* As promised in the release notes for man-db 2.5.8, man-db no
	  longer ships its own copy of libpipeline
	  (https://nongnu.org/libpipeline/).  You must build and install
	  that library separately.

	* Search the full manpath when expanding .so directives in manual
	  pages.  As part of this, '.so name.1' should now work as well as
	  '.so man1/name.1'.

	* lexgrog handles roff named glyphs and perldoc strings in NAME
	  sections.

	* man no longer starts a pager if standard output is not a tty.

	* The -s option to whatis and apropos now takes a colon- or
	  comma-separated list of sections, similar to 'man -S'.

	* mandb error output is neater when stderr is not a terminal.

	* Add basic support for the implementation of nroff/troff in the
	  Heirloom Documentation Tools.  Title lengths are not properly set
	  as yet, and many features are untested.

	* mandb removes cat* and NLS subdirectories of cat directories whose
	  corresponding man directories no longer exist.

	* mandb forces SIGPIPE back to its default disposition on startup,
	  to avoid noisy output in case it was started in a context where
	  SIGPIPE was ignored.

	* SECTION entries in a user configuration file now override those in
	  the system configuration file, rather than appending to them.

	* The default less prompt now includes "(press h for help or q to
	  quit)" to help novices find their way around.

	* man-db may now be built to use Berkeley DB version 5
	  (--with-db=db5).

man-db 2.5.9 (17 November 2010)
===============================

Major changes since man-db 2.5.8:

	Fixes:
	------

	* Fix test failures on some systems.  A change made in 2.5.8 was
	  overly sensitive to directory ordering.

	* Configuring with --disable-nls works again.

man-db 2.5.8 (15 November 2010)
===============================

Major changes since man-db 2.5.7:

	Fixes:
	------

	* Fix assertion failure on 'man -l' with an uncompressed page and
	  any of --no-hyphenation, --no-justification, or a non-English
	  page.

	* 2.5.7 introduced a regression when running catman in some locales,
	  most notably in the C locale: while converting the output to
	  UTF-8, iconv was run after the compressor rather than before it.
	  This release fixes that.

	Improvements:
	-------------

	* Add support for XZ-compressed manual pages, thanks to Darren Salt.

	* Try underscore-separated subpages as well as hyphen-separated
	  ones, thanks to Tanguy Ortolo.

	* Build libman and libmandb as shared libraries, reducing installed
	  footprint by about 200K (at least on GNU/Linux).

	* libintl is no longer shipped with man-db.  If your system does not
	  already have GNU libintl installed and you want man-db's messages
	  to be translated, then please install GNU libintl separately
	  (https://www.gnu.org/software/gettext/).

	* Warnings about unrecognised locales are now suppressed if the
	  DPKG_RUNNING_VERSION environment variable is set (i.e. man-db is
	  running within a Debian package's maintainer script), since the
	  system locales are often out of sync with the C library in that
	  context.  Thanks to the Debian Perl maintainers for the idea.

	* Allow building with an external libpipeline
	  (https://nongnu.org/libpipeline/), which has been split out from
	  man-db.  This is a transitional measure: a future version of
	  man-db will stop shipping its own copy of libpipeline.

	* mandb should no longer repeatedly rescan manual page hierarchies
	  when a whatis entry turns into a broken link.

man-db 2.5.7 (16 February 2010)
===============================

Major changes since man-db 2.5.6:

	Fixes:
	------

	* If a subprocess exits before man manages to read all the output
	  from it, it now drains the output file descriptor rather than
	  immediately discarding it.

	* If /usr/share/i18n/SUPPORTED is available, man attempts to use it
	  to ensure that LC_CTYPE is set to an appropriate locale for the
	  selected character set when invoking col. This fixes 'LANG=C man
	  -E UTF-8', as used by lintian.

	* Don't run tests if cross-compiling.

	* Fix possible mandb crash when MAN_MUST_CREATE is unset.

	Improvements:
	-------------

	* man can now tell nroff to disable justification if the
	  --no-justification option is used.

	* If the full path to an executable is given as an argument, man
	  will try looking up the corresponding manual page in the
	  appropriate part of the manpath, rather than just trying to format
	  the text of the executable as a manual page.

	* In the GNU manual hierarchy layout, search man<sec><ext>
	  directories as well as just man<sec> (e.g. /usr/share/man/man3p as
	  well as /usr/share/man/man3).

	* By request, man now prefers getting a page from the best manual
	  section over getting a page in the correct language.

	* All programs now support a MAN_DEBUG environment variable which
	  can be used in place of the -d/--debug option. This is useful in
	  some situations where a program is being called deep in a process
	  tree.

	* man-db now builds with heirloom-doctools, thanks to Diego Pettenò
	  of Gentoo.

	* Add support for emulating pipe() with socketpair(), which is
	  faster on some systems; thanks to Werner Fink of SUSE.

